Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.grails.cli.support
[Java] Interface BuildSettingsAware

    public interface BuildSettingsAware

Marker interface for classes interested in BuildSettings. Build time only. Do not use in production!

Authors:
  Graeme Rocher

Since:
  2.0

Method Summary
`void` | `setBuildSettings(BuildSettings settings)` Sets the build settings instance

Method Detail

### setBuildSettings

    public void setBuildSettings(BuildSettings settings)

  Sets the build settings instance
  Parameters:
    `settings` - The BuildSettings instance

Groovy Documentation